苹果iPhone ios7教程
您的位置: 91门户 > iPhone专区 > iPhone资讯 > 今日热点 > 内容

苹果发布新规 要求新应用必须适配iOS 7

12月18日消息,据科技网站TechCrunch报道,今天苹果在其开发者网站上发布了新规,从明年2月1日起所有新提交的应用都必须针对iOS 7进行优化,涵盖的范围包括首次提交的应用和老应用的更新版本。规定中指出,这些应用必须用最新版本的Xcode 5语言进行编写,以支持64位架构和新的功能(如后台处理API)。

12月18日消息,据科技网站TechCrunch报道,今天苹果在其开发者网站上发布了新规,从明年2月1日起所有新提交的应用都必须针对iOS 7进行优化,涵盖的范围包括首次提交的应用和老应用的更新版本。规定中指出,这些应用必须用最新版本的Xcode 5语言进行编写,以支持64位架构和新的功能(如后台处理API)。

在过去的几年中,苹果在一直努力推动开发者根据最新的系统来开发应用。不过想要做到这一点,首先要让新系统有足够高的覆盖率。根据苹果公布的数据显示,目前iOS 7的覆盖率已经高达76%。

iOS 7是迄今为止变化最大的一个iOS版本,苹果比以往任何时候都更迫切地需要开发者针对这款系统来更新自己的应用。iOS 7引入了一套全新的设计语言,使以往应用中的一些界面引导提示失效了。无论是好是坏,新系统创建了一套老应用所不具备的美学概念。

从新规的措辞上来看,苹果更希望开发者对应用的底层结构进行修改,而不仅仅只是在视觉上适配iOS 7。开发者可以在不做界面调整的情况下,用Xcode来开发新应用。

话虽如此,但许多苹果新版SDK中的标准UI元素已经和老版不同,所以开发者想要确保自己的新应用在iOS 7中正常使用,在应用的界面上最好也要做出一些调整。

小编点评:苹果之前强制自动下载iOS 7于用户设备中,虽然用户可以选择不升级,但还是造成了许多用户的不满。苹果此次颁布新规,势将iOS 7的覆盖率进一步提升。

来源:搜狐IT
信息也是生产力,精简才是硬道理!情报猎手带你突破信息迷雾,每日独家为您锁定最有价值的IT行业新鲜事。打开微信,扫描关注,赢取每月粉丝奖!
标签iOS7
iOS未知错误代码提示解决
回到顶部
微信